# $Revision: 1.7 $, $Date: 2012/01/12 18:07:31 $
%bcond_with	tests # broken
#
%define 	module	pyliblzma
Summary:	Platform independent python bindings for the LZMA compression library
Name:		python-%{module}
Version:	0.5.3
Release:	1
License:	LGPL v3
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/p/pyliblzma/%{module}-%{version}.tar.bz2
# Source0-md5:	500f61116ee1ab4063b49c121786863a
URL:		https://launchpad.net/pyliblzma
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	xz-devel
%pyrequires_eq	python-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PylibLZMA provides a python interface for the liblzma library to read
and write data that has been compressed or can be decompressed by
Lasse Collin's xz / lzma utils.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build \
	--debug

%if %{with tests}
python setup.py test
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_examplesdir}/%{name}-%{version}}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_comp $RPM_BUILD_ROOT
%py_ocomp $RPM_BUILD_ROOT
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README THANKS
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/*.py[co]
%{py_sitedir}/pyliblzma-*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyliblzma.spec,v $
Revision 1.7  2012/01/12 18:07:31  zbyniu
- up to 0.5.3

Revision 1.6  2011/01/23 20:59:23  sparky
- BR: pkgconfig, python-setuptools

Revision 1.5  2010/12/12 01:00:06  arekm
- release 4

Revision 1.4  2010/12/11 23:06:12  arekm
- release 3

Revision 1.3  2010/07/08 17:01:05  arekm
- release 2

Revision 1.2  2009/10/13 18:44:26  arekm
- more docs

Revision 1.1  2009/10/13 18:38:20  arekm
- initialize

